#!/bin/sh
set -e

# Create temporary ssl certificate
echo "[$(date -R)] [ENTRYPOINT] Create selfsigned certificate"
export RANDFILE=/tmp/ssl/.rnd
mkdir -p /tmp/ssl
openssl ecparam -genkey -name prime256v1 -out /tmp/ssl/localhost.key
openssl req -new -subj "/O=Container Security/CN=$(hostname -s)" -key /tmp/ssl/localhost.key -out /tmp/ssl/localhost.csr
openssl x509 -req -days 3650 -sha256 -in /tmp/ssl/localhost.csr -signkey /tmp/ssl/localhost.key -out /tmp/ssl/localhost.pem > /dev/null 2>&1
echo ""

exec /usr/local/bin/gomicro 